attribute vec4 vert_position;
attribute vec3 vert_normal;
attribute vec3 vert_diru;
attribute vec2 vert_texcoord;

varying mediump vec3 color;

uniform vec3 camx;
uniform vec3 camy;
uniform vec3 camz;
uniform vec3 camw;
uniform vec2 screenScale;
uniform mediump vec3 lightdir;

void main()
{
	vec4 tpos;

	tpos.xyw = 
		camx*vert_position.x +
		camy*vert_position.y +
		camz*vert_position.z +
		camw;
		
	
	
	highp vec3 cnormal,cdiru,cdirv;

	cnormal = 
		camx*vert_normal.x +
		camy*vert_normal.y +
		camz*vert_normal.z;
	
	color = vec3(1.0,0.0,0.5);
	if (dot(cnormal,lightdir)>0.0)
	{
		color = vec3(1.0,1.0,0.0);
		tpos.xyw += lightdir;
	}


	tpos.xy *= screenScale.xy;
	tpos.z = tpos.w-0.1; // near plane
    gl_Position = tpos;
}