attribute vec4 vert_position;
attribute vec3 vert_normal;
attribute vec3 vert_diru;
attribute vec2 vert_texcoord;

varying mediump vec2 texcoord;
varying mediump vec3 color;

uniform vec3 camx;
uniform vec3 camy;
uniform vec3 camz;
uniform vec3 camw;
uniform vec2 screenScale;

void main()
{
	vec4 tpos;

	tpos.xyw = 
		camx*vert_position.x +
		camy*vert_position.y +
		camz*vert_position.z +
		camw;
		
	tpos.xy *= screenScale.xy;

	tpos.z = tpos.w-0.1; // near plane

    gl_Position = tpos;
	texcoord = vert_texcoord;
	color = vert_normal;

}